# ResetInstancePassword

## 1. API Description

This API (ResetInstancePassword) is used to reset the instance login password.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">For Windows systems, the default reset applies to the Administrator password; for Linux systems, it applies to the root password.</mark>
* <mark style="color:blue;">The instance must have QGA installed and be in a powered-on state.</mark>
* <mark style="color:blue;">The operation may fail; refer to the API response for details.</mark>
* <mark style="color:blue;">Batch operations are supported. The maximum number of instances in each request is 100.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                               |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | <p>Instance ID(s).</p><p>To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.</p>                                                           |
| password       | Yes      | String | <p>Instance password.</p><p>The parameter must be 8-16 characters, including:</p><p>lowercase letters: \[a-z] uppercase letters: \[A-Z] digits: 0-9 special characters: \~!@$^\*-\_=+</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Reset the instance login password.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ResetInstancesPassword
<Common Request Params>

Request:
{
  "instanceId": "instanceId",
  "password": "Example`123"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                                 | Description                               |
| ---------------- | ------------------------------------------ | ----------------------------------------- |
| 400              | INVALID\_PASSWORD\_MALFORMED               | Password format error.                    |
| 400              | OPERATION\_DENIED\_INSTANCE\_IN\_OPERATION | Instance is performing another operation. |
